> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision Workspace Template

> Provision a Notion template into the user's connected workspace.

Requires an active Notion integration. Creates databases with the
template schema in the specified parent page.



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace_id}/templates/provision
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace_id}/templates/provision:
    post:
      tags:
        - Templates
      summary: Provision Workspace Template
      description: |-
        Provision a Notion template into the user's connected workspace.

        Requires an active Notion integration. Creates databases with the
        template schema in the specified parent page.
      operationId: >-
        provision_workspace_template_api_v1_workspaces__workspace_id__templates_provision_post
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplateProvisionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TemplateProvisionRequest:
      properties:
        template_slug:
          type: string
          title: Template Slug
        parent_page_id:
          type: string
          title: Parent Page Id
      type: object
      required:
        - template_slug
        - parent_page_id
      title: TemplateProvisionRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````